---
lang: en
title: 'API docs: rest.controllerroute.invokehandler'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.controllerroute.invokehandler.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ControllerRoute](./rest.controllerroute.md) &gt; [invokeHandler](./rest.controllerroute.invokehandler.md)

## ControllerRoute.invokeHandler() method

**Signature:**

```typescript
invokeHandler(requestContext: Context, args: OperationArgs): Promise<OperationRetval>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

requestContext


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
<tr><td>

args


</td><td>

[OperationArgs](./rest.operationargs.md)


</td><td>


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;[OperationRetval](./rest.operationretval.md)<!-- -->&gt;


